Bug 799332 - errors in -std=c++11 mode
errors in -std=c++11 mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-boost (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 09:06 EST by David Tardon
Modified: 2012-03-06 15:30 EST (History)
3 users (show)

See Also:
Fixed In Version: mingw32-boost-1.48.0-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
minimal reproducer (103 bytes, text/plain)
2012-03-02 09:06 EST, David Tardon
no flags Details

  None (edit)
Description David Tardon 2012-03-02 09:06:39 EST
Created attachment 567071 [details]
minimal reproducer

Description of problem:
SSIA

Version-Release number of selected component (if applicable):
mingw32-boost-1.48.0-4.fc17_cross.noarch , but I do not see any substantial changes in the fedora package

How reproducible:
always

Steps to Reproduce:
1. get the attached minimal reproducer
2. i686-w64-mingw32-g++ -std=c++11 -c threads.cc
  
Actual results:
a slew of errors

Expected results:
threads.o

Additional info:
This is not a contrived example. I am trying to make cross-compilation of libreoffice usable on Fedora and this is one of the few remaining problems.

It should be partially addressed by https://svn.boost.org/trac/boost/ticket/4678 , which is already fixed upstream.
Comment 1 Erik van Pienbroek 2012-03-03 11:20:27 EST
Thanks for your report.
I just tried to apply the commit you were referring to and with it the compilation of your testcase succeeds. I'll apply the commit to the boost package in both Fedora 17/rawhide and the testing repo
Comment 2 Fedora Update System 2012-03-03 14:36:36 EST
mingw32-boost-1.48.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw32-boost-1.48.0-5.fc17
Comment 3 Fedora Update System 2012-03-06 15:30:40 EST
mingw32-boost-1.48.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.